http://www.webstandards.org/upgrade/
and visit the new http://www.alistapart.com/

i think its a great idea.
but just to play safe, i'd stick to making my sites compatible with browsers of version 1 less than the latest browser..

do you think it'll actually work?